angular
  .module("starter.controllers")

  .controller(
    "OrderReturnDetailCtrl",
    function (
      $scope,
      $state,
      $stateParams,
      $ionicHistory,
      $ionicTabsDelegate,
      apiService,
      uiService,
      ngCordovaService,
      $ionicLoading,
      $ionicPopup
    ) {
      $ionicTabsDelegate.showBar(false);
      $scope.statusMap = {
        received: "已完成",
        returning: "还书中",
      };
      $scope.orderObject = $stateParams.order;
      function init() {
        apiService.findOrderReturnDetail(
          $scope.orderObject.order.orderId,
          findOrderDetailCallback
        );
      }
      var findOrderDetailCallback = {
        onSuccess: function (data, status, config, headers) {
          if (data) {
            $scope.order = data;
            console.log(data);
          }
        },
      };
      init();
    }
  );
