// 使div换行的过滤器：将'\r\n'换成'<br/>'
angular.module("starter.controllers").filter("div_newline", function () {
  return function (str) {
    if (str) {
      var newline_str = str;
      // newline_str = newline_str.replace(/\r\n/g, '<br/>');
      newline_str = newline_str.replace(/\n/g, "<br/>");
      return newline_str;
    }
    return str;
  };
});

// 浮点数（km）转m或者km，注意转换为km，需要保留1位小数。
angular.module("starter.controllers").filter("km_to_m_mk", function () {
  return function (km) {
    var str = "";
    if ((km && !isNaN(km)) || km == 0) {
      // 0等于false
      var m = Math.round(km * 1000);
      if (m < 1000) {
        str = m + "m";
      } else {
        var tmp_km = Math.round(km * 10) / 10;
        if ((tmp_km * 10) / 10 == 0) {
          tmp_km = Math.floor(tmp_km);
        }
        str = tmp_km + "km";
      }
    }
    return str;
  };
});
// 使用datetime过滤器：将获得时间具体到分钟'
angular.module("starter.controllers").filter("time_date", function () {
  return function (datetime) {
    if (datetime) {
      var new_date = datetime;
      // newline_str = newline_str.replace(/\r\n/g, '<br/>');
      // new_date = new_date.split(' ')[0];
      new_date = new_date.split(":");
      new_date.splice(2, 1);
      new_date = new_date.join(":");
      return new_date;
    }
    return datetime;
  };
});
