/*
 * 该部分服务属于公共服务。
 * 该部分服务是一些自定的基础服务。
 * 主要是一些通用的UI调用。
 */

// UI服务
angular.module("starter.services").factory("uiService", [
  "$ionicLoading",
  function ($ionicLoading) {
    // 显示加载提示
    // http://ionicframework.com/docs/api/service/$ionicLoading/#show
    function ionicLoadingShow(option) {
      if (!option.template && !option.templateUrl) {
        //
        if (option.templateTitle) {
          if (option.template) {
            option.template = option.template + "<p></p>";
          } else {
            option.template = "";
          }
          option.template =
            option.template + "<p>" + option.templateTitle + "</p>";
        }
        //
        if (option.template) {
          option.template = option.template + "<p></p>";
        } else {
          option.template = "";
        }
        if (option.template) {
          option.template = option.template + "<p></p>";
        }
        if (!option.templateSpinnerType) {
          option.templateSpinnerType = "bubbles";
        }
        option.template =
          option.template +
          '<ion-spinner icon="' +
          option.templateSpinnerType +
          '" class="spinner-balanced"></ion-spinner>';
      }
      //
      $ionicLoading.show(option);
    }

    // --------------------------------------------------------------------------------------------------------------------------------------
    return {
      ionicLoadingShow: ionicLoadingShow,
    };
  },
]);
