angular
  .module("starter.controllers")

  .controller(
    "YouchooseIpayIcBookDetailCtrl",
    function (
      $controller,
      $scope,
      $stateParams,
      $ionicLoading,
      $ionicSlideBoxDelegate,
      $ionicPopup,
      $ionicHistory,
      apiService,
      ngCordovaService,
      uiService,
      bookService,
      $ionicTabsDelegate
    ) {
      // ----------------------------------------------------------------------------------------------------------------------
      $scope.book = $stateParams.book;
      $scope.recommendedId = $stateParams.recommendedId || null;
      $scope.storeBook = $stateParams.storeBook || null;

      // ----------------------------------------------------------------------------------------------------------------
      // 获取base controller，并将其扩展至当前controller中。
      var baseBookDetailCtrl = $controller("baseBookDetailCtrl", {
        $scope: $scope,
      });
      angular.extend(this, baseBookDetailCtrl);
      if ($scope.book) {
        $scope.init($scope.book.isbn); // init函数是base controller中的
      }
    }
  );
